Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 153266 - [OOo][gcj] java.awt.Frame.createBufferStrategy missing ?
Summary: [OOo][gcj] java.awt.Frame.createBufferStrategy missing ?
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: gcc
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Thomas Fitzsimmons
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-04-04 09:52 UTC by Caolan McNamara
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-05-16 22:17:13 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
GNU Compiler Collection 17463 None None None Never

Description Caolan McNamara 2005-04-04 09:52:35 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.6) Gecko/20050330

Description of problem:
JavaCanvas.java: In class 'JavaCanvas':
JavaCanvas.java: In method 'JavaCanvas.initialize(java.lang.Object[])':
JavaCanvas.java:180: error: Can't find method 'createBufferStrategy(I)' in type 'java.awt.Frame'
               dummyFrame.frame.createBufferStrategy(2);
                               ^
JavaCanvas.java:181: error: Can't find method 'getBufferStrategy()' in type 'java.awt.Frame'.
               bufferStrategy = dummyFrame.frame.getBufferStrategy();
                                                ^
2 errors

Where frame is a java.awt.Frame


Version-Release number of selected component (if applicable):
gcc-4.0.0-0.39

How reproducible:
Always

Steps to Reproduce:
1. build something that uses java.awt.Frame.getBufferStrategy

Actual Results:  error message

Additional info:

workable around by patching canvas project

Comment 1 Caolan McNamara 2005-05-04 10:01:53 UTC
Maybe should just close this as UPSTREAM in favour of gcc#17463#

Comment 2 Jakub Jelinek 2005-05-16 20:25:34 UTC
The patch is in gcc-4.0.0-5.


Note You need to log in before you can comment on or make changes to this bug.